import { genComponentStyleHook as r } from "../../utils/cssinjs/index.mjs";
const n = (o) => {
  const { componentCls: t } = o;
  return {
    [t]: {
      "--ap-button-border-link-color": o.colorPrimary,
      "&-border-link": {
        ".ant-btn&:not(:disabled):hover,&:not(:disabled):active,&:not(:disabled):focus": {
          borderColor: "var(--button-border-color)",
          color: "var(--button-border-color) !important"
        }
      }
    }
  };
}, l = r("ApButton", (o) => [
  n(o)
]);
export {
  l as default
};
